Remove element drafts by ID.
Remove element drafts by ID. Remove architecture elements by their instance ids. Only drafts can be removed, and no element of conceptual class BusinessProcess. If one of the given elements is published or a BusinessProcess, the whole request is turned down with 400 and none of them is deleted.
Security: Manager or Designer of the process space, or an owner of the affected architecture element(s).
DELETE
/v1/warehouses/{warehouseId}/architectureElementsAuthorization
AuthorizationBearer token (JWT) · headerrequiredBpmLicenseAPI key · headerrequiredPath parameters
warehouseIdstringrequiredWarehouse-Id
Request body
requiredapplication/jsonArchitectureElement-Ids to remove
Array of
stringstringResponses
204
NoContent
400
An element is no draft or a BusinessProcess, nothing is deleted
string403
Forbidden: insufficient permissions
string404
Warehouse not found
string